Timekit developers

GET Retrieve a resource

Get a specific resource by ID

Endpoint

GET https://api.timekit.io/v2/resources/:id

Parameters

Name In Type Required Default Description
id path string Id of the specific resource
include query string Comma-separated list of related data to include. Available includes: calendars, properties, accounts, credentials, tags, projects, availability_constraints. For example, ?include=accounts,calendars adds the synced account info and the resource's calendars

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/resources/d187d6e0-d6cb-409a-ae60-45a8fd0ec879 \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7 \

Response examples

200

json
{
  "data": {
    "id": "d187d6e0-d6cb-409a-ae60-45a8fd0ec879",
    "first_name": "Emmet",
    "last_name": "Brown",
    "name": "Emmet Brown",
    "email": "doc.brown@timekit.io",
    "image": "http://www.link-to-img.com/image.png",
    "timezone": "America/Los_Angeles"
  }
}
Last edited 6 October 2026.